Altibase.jdbc.driver.logging

## Class MultipleFileHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.StreamHandler
    - - java.util.logging.FileHandler
      - - Altibase.jdbc.driver.logging.MultipleFileHandler

    public class MultipleFileHandler
    extends java.util.logging.FileHandler

세션별로 별도의 파일이 생성되어 로그를 남길수 있도록 FileHandler를 확장하여 구현함.
내부적으로 FileHandler의 집합을 Hashtable로 구현하고 있으며 세션아이디별로 FileHandler를 생성하여 관리한다.

Author:
  yjpark

### Field Summary

Fields
`static java.lang.String` `CM_HANDLERS`
`static java.lang.String` `DEFAULT_APPEND`
`static java.lang.String` `DEFAULT_COUNT`
`static java.lang.String` `DEFAULT_LEVEL`
`static java.lang.String` `DEFAULT_LIMIT`
`static java.lang.String` `DEFAULT_PATTERN`
`static java.lang.String` `HANDLER_NAME`
`static java.lang.String` `PROPERTY_APPEND`
`static java.lang.String` `PROPERTY_COUNT`
`static java.lang.String` `PROPERTY_LEVEL`
`static java.lang.String` `PROPERTY_LIMIT`
`static java.lang.String` `PROPERTY_PATTERN`

### Constructor Summary

Constructors
Constructor and Description
`MultipleFileHandler()`
`MultipleFileHandler(java.lang.String aPattern)`
`MultipleFileHandler(java.lang.String aPattern, boolean aAppend)`
`MultipleFileHandler(java.lang.String aPattern, int aLimit, int aCount)`
`MultipleFileHandler(java.lang.String aPattern, int aLimit, int aCount, boolean aAppend)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `publish(java.util.logging.LogRecord aRecord)`

### Methods inherited from class java.util.logging.StreamHandler

`flush, isLoggable, setEncoding, setOutputStream`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROPERTY_PATTERN

    public static final java.lang.String PROPERTY_PATTERN

See Also:
  Constant Field Values

#### PROPERTY_LIMIT

    public static final java.lang.String PROPERTY_LIMIT

See Also:
  Constant Field Values

#### PROPERTY_COUNT

    public static final java.lang.String PROPERTY_COUNT

See Also:
  Constant Field Values

#### PROPERTY_APPEND

    public static final java.lang.String PROPERTY_APPEND

See Also:
  Constant Field Values

#### PROPERTY_LEVEL

    public static final java.lang.String PROPERTY_LEVEL

See Also:
  Constant Field Values

#### CM_HANDLERS

    public static final java.lang.String CM_HANDLERS

See Also:
  Constant Field Values

#### HANDLER_NAME

    public static final java.lang.String HANDLER_NAME

See Also:
  Constant Field Values

#### DEFAULT_PATTERN

    public static final java.lang.String DEFAULT_PATTERN

See Also:
  Constant Field Values

#### DEFAULT_APPEND

    public static final java.lang.String DEFAULT_APPEND

See Also:
  Constant Field Values

#### DEFAULT_LIMIT

    public static final java.lang.String DEFAULT_LIMIT

See Also:
  Constant Field Values

#### DEFAULT_COUNT

    public static final java.lang.String DEFAULT_COUNT

See Also:
  Constant Field Values

#### DEFAULT_LEVEL

    public static final java.lang.String DEFAULT_LEVEL

See Also:
  Constant Field Values

### Constructor Detail

#### MultipleFileHandler

    public MultipleFileHandler()
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### MultipleFileHandler

    public MultipleFileHandler(java.lang.String aPattern)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### MultipleFileHandler

    public MultipleFileHandler(java.lang.String aPattern,
                               boolean aAppend)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### MultipleFileHandler

    public MultipleFileHandler(java.lang.String aPattern,
                               int aLimit,
                               int aCount)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### MultipleFileHandler

    public MultipleFileHandler(java.lang.String aPattern,
                               int aLimit,
                               int aCount,
                               boolean aAppend)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### publish

    public void publish(java.util.logging.LogRecord aRecord)

Overrides:
  `publish` in class `java.util.logging.FileHandler`

#### close

    public void close()

Overrides:
  `close` in class `java.util.logging.FileHandler`